## org.exist.xmlrpc.test
Class MoveResourceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmlrpc.test.MoveResourceTest

All Implemented Interfaces:
  junit.framework.Test

public class MoveResourceTest
extends junit.framework.TestCase

Test for deadlocks when moving resources from one collection to another. Uses two threads: one stores a document, then moves it to another collection. Based on XML-RPC. The second thread tries to execute a query via REST. Due to the complex move task, threads will deadlock almost immediately if something's wrong with collection locking.

Constructor Summary
`MoveResourceTest(java.lang.String string)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testMove()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoveResourceTest

    public MoveResourceTest(java.lang.String string)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testMove

    public void testMove()

Copyright (C) Wolfgang Meier. All rights reserved.